Page MenuHomePhabricator

Update WikimediaIncubator to use AuthManager
Closed, ResolvedPublic

Description

See parent task and T110431#1604967.

Items needing updating:

  • Uses the AddNewAccount hook, which has been deprecated in favor of the LocalUserCreated hook since 1.26wmf4.
  • Uses the UserCreateForm hook, which is deprecated under AuthManager and may not continue to work in the way it did before.

What you'd probably want to do in this case is make an AuthenticationRequest to capture your 'testwikiproject' and 'testwikicode' fields (replaces the UserCreateForm hook), and a SecondaryAuthenticationProvider that requires that AuthenticationRequest for AuthManager::CREATE actions and makes use of it in beginSecondaryAccountCreation() (replaces the AddNewAccount hook).

Event Timeline

Tgr created this task.Sep 4 2015, 2:56 AM
Tgr raised the priority of this task from to Normal.
Tgr updated the task description. (Show Details)
Restricted Application added subscribers: Hydriz, Aklapper. · View Herald TranscriptSep 4 2015, 2:56 AM
Liuxinyu970226 set Security to None.Sep 6 2015, 4:01 AM
Anomie updated the task description. (Show Details)May 11 2016, 10:01 PM

Change 290715 had a related patch set uploaded (by Anomie):
Update WikimediaIncubator for AuthManager

https://gerrit.wikimedia.org/r/290715

Tgr closed this task as Resolved.May 27 2016, 4:48 PM
Tgr assigned this task to Anomie.

Change 290715 merged by jenkins-bot:
Update WikimediaIncubator for AuthManager

https://gerrit.wikimedia.org/r/290715